package com.gic.auth.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 11:13
 */
public class AuditedGroupDTO implements Serializable{
    private static final long serialVersionUID = -2850377191052218727L;



    public interface SaveValid{}

    /**
     *
     */
    private Integer auditedGroupId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 受审组name
     */
    @NotBlank(message = "受审组名称不能为空", groups = SaveValid.class)
    private String auditedGroupName;


    /**
     *
     */
    private Date createTime;

    @NotEmpty(message = "请选择审核员", groups = SaveValid.class)
    private List<Integer> userIdList;

    private Integer allCheck;

    private Integer userCount;

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setAllCheck(Integer allCheck) {
        this.allCheck = allCheck;
    }

    public Integer getAllCheck() {
        return allCheck;
    }

    public Integer getAuditedGroupId() {
        return auditedGroupId;
    }

    public void setAuditedGroupId(Integer auditedGroupId) {
        this.auditedGroupId = auditedGroupId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAuditedGroupName() {
        return auditedGroupName;
    }

    public void setAuditedGroupName(String auditedGroupName) {
        this.auditedGroupName = auditedGroupName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<Integer> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Integer> userIdList) {
        this.userIdList = userIdList;
    }
}
