package com.gic.auth.dto;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-19 13:37
 */
public class AuditorDTO implements Serializable {
    private static final long serialVersionUID = -6939554022102910674L;

    /**
     *
     */
    private Integer auditorId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 审核员姓名
     */
    private String auditorName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 关联管理员id
     */
    private Integer userId;

    /**
     * 微信openid
     */
    private String openid;

    /**
     * 审核员是否在使用中， 1：使用中， 0：未使用
     */
    private Integer isUse;

    /**
     * 受审项目审批项id
     */
    private List<Integer> projectItemList;

    /**
     * 受审组id
     */
    private List<Integer> auditedGroupIdList;

    private Integer projectItemCount;

    private Integer auditedGroupCount;
    private String headUrl;
    private String weChatNickName;

    public Integer getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Integer auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public Integer getIsUse() {
        return isUse;
    }

    public void setIsUse(Integer isUse) {
        this.isUse = isUse;
    }

    public List<Integer> getProjectItemList() {
        return projectItemList;
    }

    public void setProjectItemList(List<Integer> projectItemList) {
        this.projectItemList = projectItemList;
    }

    public List<Integer> getAuditedGroupIdList() {
        return auditedGroupIdList;
    }

    public void setAuditedGroupIdList(List<Integer> auditedGroupIdList) {
        this.auditedGroupIdList = auditedGroupIdList;
    }

    public Integer getProjectItemCount() {
        return projectItemCount;
    }

    public void setProjectItemCount(Integer projectItemCount) {
        this.projectItemCount = projectItemCount;
    }

    public Integer getAuditedGroupCount() {
        return auditedGroupCount;
    }

    public void setAuditedGroupCount(Integer auditedGroupCount) {
        this.auditedGroupCount = auditedGroupCount;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    public String getHeadUrl() {
        return headUrl;
    }

    public void setWeChatNickName(String weChatNickName) {
        this.weChatNickName = weChatNickName;
    }

    public String getWeChatNickName() {
        return weChatNickName;
    }
}
