package com.gic.auth.dto;

import java.io.Serializable;
/**
 * 管理员列表
 * @ClassName: UserListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 5:12 PM 
 */
public class UserListDTO implements Serializable{
    private static final long serialVersionUID = -3693735542954676950L;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    /**
     * 用户角色
     */
    private String userRoleNames;
    /**
     * 用户资源组授权
     */
    private String userResourceNames;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public void setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
    }

    public String getUserRoleNames() {
        return userRoleNames;
    }

    public void setUserRoleNames(String userRoleNames) {
        this.userRoleNames = userRoleNames;
    }

    public String getUserResourceNames() {
        return userResourceNames;
    }

    public void setUserResourceNames(String userResourceNames) {
        this.userResourceNames = userResourceNames;
    }
}
