package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.AuthCodeDTO;

public interface AuthCodeApiService {
    
    /** @Description: 保存验证码
     * @author taogs
     * @Date 11:09 2019/9/2
     * @Param 
     * @return 
    */
    ServiceResponse<Integer> saveAuth(AuthCodeDTO authCodeDTO);

    /** @Description: 设置验证码无效
     * @author taogs
     * @Date 11:09 2019/9/2
     * @Param 
     * @return 
    */
    ServiceResponse<Integer> expireAuthCode(Integer authCodeId);

    /** @Description: 获取验证码
     * @author taogs
     * @Date 11:10 2019/9/2
     * @Param 
     * @return 
    */
    ServiceResponse<AuthCodeDTO> getAuthCode(Integer enterpriseId, Integer relationId);

    ServiceResponse<AuthCodeDTO> getAuthCode(Integer authCodeId);

    ServiceResponse validateAuthCode(Integer authCodeId, String authCode);
}
