package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UnionEnterpriseDTO;
import com.gic.auth.dto.UnionEnterpriseResourceDTO;

import java.util.List;

public interface UnionEnterpriseApiService {
    ServiceResponse<Integer> saveUnionEnterprise(UnionEnterpriseDTO enterpriseDTO);

    ServiceResponse<UnionEnterpriseDTO> getUnionEnterpriseByUnionEnterpriseId(Integer unionEnterrpiseId);

    ServiceResponse<Integer> delUnionEnterprise(Integer unionId, Integer enterpriseId);

    ServiceResponse<UnionEnterpriseDTO> getUnionEnterpriseById(Integer unionId);

    ServiceResponse<Page<UnionEnterpriseDTO>> pageUnionEnterprise(String search, Integer enterpriseId, Integer pageNum,
                                                                  Integer pageSize, Integer authorizationStatus);

    ServiceResponse<Void> updateStoreAuthorizationStatus(int authOrizationStatus, Integer enterpriseId, String ...message);

    ServiceResponse<List<UnionEnterpriseResourceDTO>> listStoreResourceByEnterpriseId(Integer enterpriseId);

    ServiceResponse<List<UnionEnterpriseResourceDTO>> listResourceByUnionId(Integer unionId);
}
