package com.gic.auth.utils;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.error.ErrorCode;
import org.apache.commons.lang.StringUtils;
/**
 * 英文逗号隔开的数据校验
 * @ClassName: ValidSplitUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 10:05 AM 
 */
public class ValidSplitUtils {

    public static ServiceResponse<String[]> validStr(String param) {
        if (!StringUtils.isNumeric(param.replaceAll(",", ""))) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "数据格式有误，不是英文逗号隔开的数据");
        }
        String[] strArr = param.split(",");
        return ServiceResponse.success(strArr);
    }
}
