package com.gic.auth.service;

import com.gic.auth.dto.AuditorDTO;
import com.gic.auth.entity.TabAuditor;
import com.gic.auth.qo.AuditorListQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-19 16:40
 */
public interface AuditorService {
    boolean validAuditorNameIsRepeat(Integer enterpriseId, String auditorName, Integer auditorId);

    boolean validPhoneIsRepeat(Integer enterpriseId, String phone, Integer auditorId);

    boolean validOpenidIsRepeat(Integer enterpriseId, String openid, Integer auditorId);

    Integer save(AuditorDTO auditorDTO);

    Integer update(AuditorDTO auditorDTO);

    TabAuditor getAuditor(Integer auditorId);

    Integer delAuditor(Integer auditorId);

    Page<TabAuditor> pageAuditor(AuditorListQO auditorListQO);

    List<TabAuditor> listAuditor(AuditorListQO auditorListQO);

    TabAuditor getAuditorByUserId(Integer enterpriseId, Integer userId);

    TabAuditor getAuditorByOpenid(String openid);
}
