package com.gic.auth.service;

import com.gic.auth.dto.ResourceDTO;
import com.gic.auth.entity.TabSysResource;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/28 18:29
 */
public interface ResourceService {
    Integer save(ResourceDTO resourceDTO);

    Integer update(ResourceDTO resourceDTO);

    Integer delResource(Integer resourceId);

    Page<TabSysResource> listResource(ResourceDTO resourceDTO, Integer pageNum, Integer pageSize);

    TabSysResource getResource(Integer resourceId);

    boolean isRepeatByResourceName(Integer enterpriseId, String resourceName, Integer resourceId);

    List<TabSysResource> listByIds(List<Integer> ids);
}
