package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysCollaboratorRoleRelMapper;
import com.gic.auth.entity.TabSysCollaboratorRoleRel;
import com.gic.auth.service.CollaboratorRoleRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("collaboratorRoleRelService")
public class CollaboratorRoleRelServiceImpl implements CollaboratorRoleRelService{
    @Autowired
    private TabSysCollaboratorRoleRelMapper tabSysCollaboratorRoleRelMapper;
    @Override
    public void saveFetch(List<TabSysCollaboratorRoleRel> list) {
        tabSysCollaboratorRoleRelMapper.saveFetch(list);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByCollaboratorId(Integer collaboratorId) {
        tabSysCollaboratorRoleRelMapper.deleteByCollaboratorId(collaboratorId);
    }

    @Override
    public List<TabSysCollaboratorRoleRel> listByCollaboratorId(Integer collaboratorId) {
        return tabSysCollaboratorRoleRelMapper.listByCollaboratorId(collaboratorId);
    }
}
