package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuRoleDTO;
import com.gic.auth.service.MenuRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.auth.service.MenuRoleApiService;

import java.util.List;

@Service("menuRoleApiService")
public class MenuRoleApiServiceImpl implements MenuRoleApiService{
    @Autowired
    private MenuRoleService menuRoleService;

    @Override
    public ServiceResponse<List<MenuRoleDTO>> listMenuRoleByRoleId(Integer roleId) {
        return ServiceResponse.success(menuRoleService.listMenuRoleByRoleId(roleId));
    }
}
