package com.gic.auth.constant;
/**
 * 账号分组组员类型
 * @ClassName: MenuTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/17 11:05 AM 
 */
public enum AccountGroupMemberTypeEnum {
    ADMIN(1, "管理员"),
    COLLABORATOR(2, "协作人");

    private int code;
    private String message;

    private AccountGroupMemberTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getNameByCode(Integer code) {
        if (code == null) {
            return "--";
        }
        for (AccountGroupMemberTypeEnum accountGroupMemberTypeEnum : values()) {
            if (code.intValue() == accountGroupMemberTypeEnum.getCode()) {
                return accountGroupMemberTypeEnum.getMessage();
            }
        }
        return "--";
    }
}
