package com.gic.auth.dto;

import com.gic.auth.constant.AccountGroupMemberTypeEnum;

import java.io.Serializable;
/**
 * 账号分组组员
 * @ClassName: AccountGroupMemberDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/31 4:46 PM 
 */
public class AccountGroupMemberDTO implements Serializable{
    private static final long serialVersionUID = 907070727294627065L;

    /**
     * 管理员/协作人
     */
    private Integer userId;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 组员名称
     */
    private String memberName;
    /**
     * 1:管理员2：协作人
     */
    private Integer type;

    private String typeName;

    private Integer accountGroupId;

    private Integer enterpriseId;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTypeName() {
        return AccountGroupMemberTypeEnum.getNameByCode(type);
    }

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public void setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
