package com.gic.auth.filter;

import org.apache.dubbo.common.constants.CommonConstants;
import org.apache.dubbo.common.extension.Activate;
import org.apache.dubbo.common.extension.ExtensionLoader;
import org.apache.dubbo.rpc.*;
@Activate(group = {CommonConstants.PROVIDER}, order = 10000)
public class ProviderFilter implements Filter {
    @Override
    public Result invoke(Invoker<?> invoker, Invocation invocation) throws RpcException {
        System.out.println("进入自定义filter");
        System.out.println(RpcContext.getContext().getAttachments());
        return invoker.invoke(invocation);
    }
}
