package com.gic.auth.service;

import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.entity.TabAuditedGroup;
import com.gic.auth.qo.AuditedGroupQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 11:29
 */
public interface AuditedGroupService {

    boolean validAuditedGroupIsRepeat(Integer enterpriseId, String auditedGroupName, Integer auditedGroupId);

    Integer save(AuditedGroupDTO auditedGroupDTO);

    Integer update(AuditedGroupDTO auditedGroupDTO);

    Integer delAuditedGroup(Integer auditedGroupId);

    Page<TabAuditedGroup> listAuditedGroup(AuditedGroupQO auditedGroupQO);

    TabAuditedGroup getAuditedGroup(Integer auditedGroupId);

    boolean validAuditedGroupIsNotExist(List<Integer> auditedGroupIdList);

    List<TabAuditedGroup> listAllAuditedGroup(Integer enterpriseId);
}
