package com.gic.auth.service;

import java.util.List;
import java.util.Map;

import com.gic.auth.dto.UserResourceDTO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/29 10:03
 */
public interface UserResourceService {
    boolean existUserResource(Integer enterpriseId, Integer resourceId);

    Map<Integer,Integer> countByResourceIds(Integer enterpriseId, List<Integer> resourceIds);


    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void save(UserResourceDTO dto);

    /**
     * 删除用户关联数据
     * @Title: deleteByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  void 
      */
    void deleteByUserId(Integer userId);

    /**
     * 查询用户关联数据
     * @Title: listUserRoleByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  java.util.List<com.gic.auth.entity.TabSysUserRole> 
      */
    List<UserResourceDTO> listUserResourceByUserId(Integer userId);
}
